## Index

### Functions

- Model
- getGlobalSecondaryIndexes
- getLocalSecondaryIndexes
- testForGSI
- testForLSI

## Functions

### Model

- Model(opts?: ModelData): ClassDecorator

- - Defined in decorator/impl/model/model.decorator.ts:10

  #### Parameters

  - ##### Default value opts: ModelData = {}

  #### Returns ClassDecorator

### getGlobalSecondaryIndexes

- getGlobalSecondaryIndexes(properties: Array<PropertyMetadata<any>>): Map<string, SecondaryIndex<any>> | null

- - Defined in decorator/impl/model/model.decorator.ts:65

  #### Parameters

  - ##### properties: Array<PropertyMetadata<any>>

  #### Returns Map<string, SecondaryIndex<any>> | null

### getLocalSecondaryIndexes

- getLocalSecondaryIndexes(basePartitionKey: string | null, properties: Array<PropertyMetadata<any>>): Map<string, SecondaryIndex<any>> | null

- - Defined in decorator/impl/model/model.decorator.ts:120

  #### Parameters

  - ##### basePartitionKey: string | null

  - ##### properties: Array<PropertyMetadata<any>>

  #### Returns Map<string, SecondaryIndex<any>> | null

### testForGSI

- testForGSI<T>(property: PropertyMetadata<T>): boolean

- - Defined in decorator/impl/model/model.decorator.ts:55

  #### Type parameters

  - #### T

  #### Parameters

  - ##### property: PropertyMetadata<T>

  #### Returns boolean

### testForLSI

- testForLSI<T>(property: PropertyMetadata<T>): boolean

- - Defined in decorator/impl/model/model.decorator.ts:61

  #### Type parameters

  - #### T

  #### Parameters

  - ##### property: PropertyMetadata<T>

  #### Returns boolean

Generated using TypeDoc